Module java.desktop
Package javax.swing.plaf.basic

# Class BasicComboBoxUI.FocusHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxUI.FocusHandler

All Implemented Interfaces:
  `FocusListener`, `EventListener`

Enclosing class:
  `BasicComboBoxUI`

public class BasicComboBoxUI.FocusHandler extends Object implements FocusListener
This listener hides the popup when the focus is lost. It also repaints when focus is gained or lost. This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

## Constructor Summary

Constructors
Constructor
Description
`FocusHandler()`
Constructs a `FocusHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent e)`
Invoked when a component gains the keyboard focus.
`void`
`focusLost(FocusEvent e)`
Invoked when a component loses the keyboard focus.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FocusHandler

public FocusHandler()
Constructs a `FocusHandler`.

## Method Details

### focusGained

public void focusGained(FocusEvent e)
Description copied from interface: `FocusListener`
Invoked when a component gains the keyboard focus.

Specified by:
  `focusGained` in interface `FocusListener`
Parameters:
  `e` - the event to be processed

### focusLost

public void focusLost(FocusEvent e)
Description copied from interface: `FocusListener`
Invoked when a component loses the keyboard focus.

Specified by:
  `focusLost` in interface `FocusListener`
Parameters:
  `e` - the event to be processed